@charset "utf-8";

.inner {
    padding-left: 20px;
    padding-right: 20px;
}

.more-btn {
    display: block;
    margin: 0 auto;
    margin-top: 25px;

    height: 70px;
    width: 45vw;
    min-width: 180px;

    text-align: center;
    line-height: 70px;

    font-size: 3rem;
    color: var(--base-white);
    background-color: var(--text-green);
    border-radius: var(--radius);
    box-shadow: var(--card-shadow);

    transition: 0.5s;
}

.more-btn:hover {
    color: var(--text-green);
    background-color: var(--base-white);
}

/* ==================== */
/* key visual */
/* ==================== */

.kv {
    min-height: 95vh;
    height: auto;
    width: 100%;
    background: url(../img/kv.png) center no-repeat;
    background-size: cover;
    background-position: center center;

    position: relative;
}

.kv-copy {
    font-size: 5.5rem;
    font-family: "kiwi maru";
    color: #fff;
    text-shadow: 0 4px 4px #14354D33;

    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.kv-inner {
    max-width: 320px;
    margin: 0 auto;
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {
    .kv-copy {
        transform: translateX(-10%);
    }
}

/* スクロール矢印 */
/* .scroll-arrow {} */



/* ==================== */
/* sections */
/* ==================== */

section {
    min-height: 100vh;
    padding-top: 15vh;
    padding-bottom: 5vh;
}

/* セクションタイトル（skills,works,about,contact)のこと！ */
section h3 {
    font-size: 4.5rem;
    text-align: center;

    /* h3と本文要素の間隔 */
    margin-bottom: 6vh;
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {
    section {
        padding-top: 20vh;
    }

    section h3 {
        font-size: 6rem;
        margin-bottom: 7vh;
    }
}


/* ==================== */
/* skills */
/* ==================== */

.skills {
    background-color: var(--base-gray);
}

.skills h3 {
    color: var(--title-green);
}

.skills ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;

    position: relative;
}

/* スキルカード */
.skills li {
    flex: 0 0 calc(50% - 10px);
    max-width: 280px;

    height: 30vh;

    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: var(--radius);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: var(--card-shadow);
}

/* skillのタイルは偶数個目で折り返してほしい */


/* プログラミング デザイン 設計思考 業務改善の文字 */
.skills h2 {
    position: absolute;
    bottom: 7%;
    left: 50%;
    transform: translateX(-50%);
    /* 折り返し禁止 */
    white-space: nowrap;
    color: var(--text-green);
    font-size: 2rem;
}

/* skillsの右下...and growing. */
.skills p {
    text-align: right;
    margin: 4vh;
    color: var(--text-green);
    font-family: "kiwi maru";
    font-size: 1.8rem;
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {

    .skills h2 {
        font-size: 3rem;
    }

    .skills li {
        height: 40vh;
    }
}

/* ==================== */
/* works */
/* ==================== */

.works {
    color: var(--text-green);
    background-color: var(--base-white);
}

/* worksのカードをスクロールスナップにする。 */
/* .scroll-snap { } */

.item-container {
    padding: 20px;

    display: flex;
    overflow-x: scroll;
    scrollbar-width: 105vw;
    gap: 85vw;
}

.card {
    height: 450px;
    width: 80vw;
    padding: 20px;

    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: var(--radius);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: var(--card-shadow);

    text-align: center;
    position: relative;
}

.works img {
    max-height: 320px;
    justify-content: center;
    align-items: center;
}

.works h2 {
    position: absolute;
    bottom: 5%;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    color: var(--text-green);
    font-size: 3rem;
    font-family: "kiwi maru";
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {
    .card {
        text-align: left;
        height: auto;
    }

    .works img {
        height: 320px;
        margin-left: 80px;
    }

    .works h2 {
        top: 50%;
        left: 70%;
    }
}

/* ==================== */
/* about */
/* ==================== */

.about {
    background-color: var(--base-gray);
    font-family: "kiwi maru";
}

.about h3 {
    color: var(--title-green);
}

/* わたしの名前 */
.about h2 {
    margin-bottom: 20px;
    font-size: 3rem;
    color: var(--base-blue);
    text-shadow: var(--card-shadow);
    text-align: center;
}

.about p {
    font-size: 1.8rem;
    margin-top: 5px;
    text-align: center;
}

.about img {
    max-height: 420px;
}

.prof-card {
    height: auto;

    text-align: center;

    margin: 5vw;
    padding: 10px;

    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    border-radius: var(--radius);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: var(--card-shadow);
}

.prof-comments {
    padding: 10px 30px;

    text-align: left;
    color: var(--text-green);
}

/* ---------- */
/* pc */
@media screen and (min-width: 1220px) {

    .about h2,
    .about p {
        text-align: left;
    }


    .prof-card {
        display: flex;
        padding: 30px 0;
        justify-content: space-around;

        height: 40vh;
    }

    .prof-comments {
        width: 700px;

        text-align: left;
        padding: 30px;

        font-size: 2.8rem;
    }

    .prof-img {
        width: 400px;
    }
}



/* ==================== */
/* contact */
/* ==================== */

.contact {
    color: var(--text-green);
    background-color: var(--base-white);
}

.contact h3 {
    color: #3986bc;
}

.contact .more-btn {
    background-color: #3986bc;
}

.contact .more-btn:hover {
    color: #3986bc;
    background-color: var(--base-white);
}

.contact table {
    width: 90vw;
    height: 50vh;

    padding: 20px;
    margin: 0 auto;

    color: var(--base-white);
}

@media screen and (min-width: 1220px) {
    .contact table {
        width: 50vw;
    }
}

/* 問い合わせ入力カードの背景を青にする */
/* .contact-bg {
    padding-left: 10px;
} */

.contact-box th,
.contact-box td {
    padding: 10px;

    display: block;
    text-align: left;
}

.contact-box th {
    background-color: #a4d2f2;
}

.contact-box td {
    background-color: #fbf9f9;
}

/* ==================== */
/* js用 */
/* ==================== */

/* 見えない状態を作るcss */
.invisible {
    opacity: 0;
    visibility: hidden;

    transition:
        opacity 0.8s ease,
        transform 0.8s ease;
    transform: translateY(30px);
}

/* からの、フェードイン用css */
.is-active {
    opacity: 1;
    visibility: visible;

    transform: translateY(0);
}

/* ==================== */
/* section波 */
/* ==================== */

.shapedividers_com-1752 {
    overflow: hidden;
    position: relative;
}

.shapedividers_com-1752::before {
    content: '';
    font-family: 'shape divider from ShapeDividers.com';
    position: absolute;
    z-index: 3;
    pointer-events: none;
    background-repeat: no-repeat;
    bottom: -0.1vw;
    left: -0.1vw;
    right: -0.1vw;
    top: -0.1vw;
    background-size: 100% 90px;
    background-position: 50% 0%;
    background-image: url('data:image/svg+xml;charset=utf8, <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 35.28 2.17" preserveAspectRatio="none"><path d="M0 .5c3.07.55 9.27-.42 16.14 0 6.88.4 13.75.57 19.14-.11V0H0z" fill="%23d4f1f5"/><path d="M0 1c3.17.8 7.29-.38 10.04-.55 2.75-.17 9.25 1.47 12.67 1.3 3.43-.17 4.65-.84 7.05-.87 2.4-.02 5.52.88 5.52.88V0H0z" opacity=".5" fill="%23d4f1f5"/><path d="M0 1.85c2.56-.83 7.68-.3 11.79-.42 4.1-.12 6.86-.61 9.58-.28 2.73.33 5.61 1.17 8.61 1 3-.19 4.73-.82 5.3-.84V.1H0z" opacity=".5" fill="%23d4f1f5"/></svg>');
}

@media (min-width:2100px) {
    .shapedividers_com-1752::before {
        background-size: 100% calc(2vw + 90px);
    }
}